﻿'UTF-8
Option Strict On
Option Explicit On

Public Class frmMain
    Inherits System.Windows.Forms.Form

    Private DOMAIN As String = "http://4.2.2.4:53"
    'Private DOMAIN As String = "http://www.google.com"

    Private m_DCW As New DomainConnectWatcher
    Private m_lblState As New System.Windows.Forms.Label

    Public Sub New()
        MyBase.New()
        Me.SuspendLayout()
        '-----
        Me.m_lblState.Dock = System.Windows.Forms.DockStyle.Fill
        Me.m_lblState.Font = New System.Drawing.Font("Microsoft Sans Serif", 30.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CByte(178))
        Me.m_lblState.TextAlign = System.Drawing.ContentAlignment.MiddleCenter

        Me.Controls.Add(Me.m_lblState)
        Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
        Me.Text = "Main"

        Me.m_DCW.Domain = New Uri(DOMAIN)
        AddHandler Me.m_DCW.ConnectChanged, AddressOf Me.DCW_ConnectChanged
        Me.m_DCW.Work = True
        Me.DCW_ConnectChanged(Nothing, Nothing)
        '-----
        Me.ResumeLayout(False)
    End Sub

    Protected Overrides Sub OnFormClosing(ByVal e As System.Windows.Forms.FormClosingEventArgs)
        MyBase.OnFormClosing(e)
        If e.Cancel Then Return
        Me.m_DCW.Dispose()
    End Sub

    Private Sub DCW_ConnectChanged(ByVal sender As Object, ByVal e As System.EventArgs)
        If Me.m_DCW.IsConnect Then
            Me.m_lblState.Text = "Connect"
        Else
            Me.m_lblState.Text = "Disconnect"
        End If
    End Sub

    <System.STAThread()> Friend Shared Sub Main()
        System.Windows.Forms.Application.EnableVisualStyles()
        System.Windows.Forms.Control.CheckForIllegalCrossThreadCalls = False
        Using f As New frmMain
            System.Windows.Forms.Application.Run(f)
        End Using
    End Sub

End Class
